Subject: Re: openssl, pkgsrc, NetBSD/sparc
To: None <>
From: Frederick Bruckman <>
List: tech-pkg
Date: 08/19/2002 12:31:13
On Mon, 19 Aug 2002, Rick Kelly wrote:

> The "Configure" file that is part of the openssl distribution assumes
> "-mv8" as the lowest common denominator for "NetBSD-sparc". This produces
> hardware mathematics calls that cannot be executed by Sun4c (sparc v7)
> processors.
> In order to upgrade to openssl 0.9.6e and openssh 3.4.p1, I basically had
> to download the source code from the appropriate vendors and do the build
> myself. This was on a 1.4.3A box.

That's easy to fix; it's in patch-ac (reproduced from previous
versions). I'll remove it this evening when the branching for 1.6 is
done, and request that it be pulled up to the branch.